- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyUpdateIntegrationStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyUpdateIntegrationStatus#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyUpdateIntegrationStatus#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyUpdateIntegrationStatus#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyUpdateIntegrationStatus#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyUpdateIntegrationStatus#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyUpdateIntegrationStatus#body.aspect_1)

**Full name**: projects.locations.instances.legacyPublisher.legacyUpdateIntegrationStatus

Updates the installation status of a specific integration on a remote agent.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPublisher:legacyUpdateIntegrationStatus`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance of the legacy publisher. Format: projects/{project}/locations/{location}/instances/{instance}/legacyPublisher |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "integration_identifier": string, "integration_version": number, "status": boolean } ``` |

| Fields ||
|---|---|
| `integration_identifier` | `string` Required. The integration identifier to update the status for. |
| `integration_version` | `number` Required. The integration version to update the status for. |
| `status` | `boolean` Required. The status of the integration installation on the remote agent. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPublisher.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).